commit c2ac0d1a66e03279832b4092cd4fba9f703f93bf
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Mon Nov 23 00:16:58 2020 +0000

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 091f0200bdd..62b5bb21775 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20201122
+20201123
diff --git a/gcc/d/ChangeLog b/gcc/d/ChangeLog
index 3c88c08a1de..27e04b4626a 100644
--- a/gcc/d/ChangeLog
+++ b/gcc/d/ChangeLog
@@ -1,3 +1,12 @@
+2020-11-22  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	Backported from master:
+	2020-11-22  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	PR d/97889
+	* expr.cc (ExprVisitor::visit (CatAssignExp *)): Enforce LTR order of
+	evaluation on left and right hand side expressions.
+
 2020-11-18  Iain Buclaw  <ibuclaw@gdcproject.org>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 7c4fccf31f3..282d11aaa33 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2020-11-22  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	Backported from master:
+	2020-11-22  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	PR d/97889
+	* gdc.dg/pr97889.d: New test.
+
 2020-11-20  Andrea Corallo  <andrea.corallo@arm.com>
 
 	PR target/97727

